Bug 555638 - Review Request: ghc-html - Haskell HTML combinator library
Review Request: ghc-html - Haskell HTML combinator library
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Rakesh Pandit
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 522953 haskell-platform 555443
  Show dependency treegraph
 
Reported: 2010-01-14 21:27 EST by Jens Petersen
Modified: 2014-01-02 01:07 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-01-20 21:13:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rpandit: fedora‑review+
petersen: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jens Petersen 2010-01-14 21:27:23 EST
Spec URL: http://petersen.fedorapeople.org/ghc-html/ghc-html.spec
SRPM URL: http://petersen.fedorapeople.org/ghc-html/ghc-html-1.0.1.2-2.fc12.src.rpm
Description: A HTML combinator library for Haskell.

Part of haskell-platform and needed to build recent darcs.
Comment 1 Jens Petersen 2010-01-15 01:58:38 EST
Koji scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1923103
Comment 2 Rakesh Pandit 2010-01-20 01:29:08 EST
[+] Build - http://koji.fedoraproject.org/koji/taskinfo?taskID=1933279 - fine
[+] rpmlint - ok 

===========================================================================
Spec file rpmlint output (one from bug) :
===========================================================================

Rpmlint Messages:
/tmp/gachLqgbtl/ghc-html.spec: W: no-cleaning-of-buildroot %install
/tmp/gachLqgbtl/ghc-html.spec: W: no-buildroot-tag
0 packages and 1 specfiles checked; 0 errors, 2 warnings.

Ignored.

===========================================================================
Pkg rpmlint output (one from bug) :
===========================================================================

Rpmlint Messages:
ghc-html.src: W: strange-permission html-1.0.1.2.tar.gz 0600
ghc-html.src: W: no-cleaning-of-buildroot %install
ghc-html.src: W: no-buildroot-tag
1 packages and 0 specfiles checked; 0 errors, 3 warnings.

Ignored.

===========================================================================
Lint output on koji build rpms:
===========================================================================
===========================================================================
Koji build rpm /tmp/gachLqgbtl/koji4eLOwK/1933280/ghc-html-doc-1.0.1.2-2.fc13.x86_64.rpm output:
===========================================================================

Rpmlint Messages:
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

Clean.

===========================================================================
Koji build rpm /tmp/gachLqgbtl/koji4eLOwK/1933280/ghc-html-prof-1.0.1.2-2.fc13.x86_64.rpm output:
===========================================================================

Rpmlint Messages:
ghc-html-prof.x86_64: E: devel-dependency ghc-html-devel
ghc-html-prof.x86_64: W: no-documentation
ghc-html-prof.x86_64: W: devel-file-in-non-devel-package /usr/lib64/ghc-6.12.1/html-1.0.1.2/libHShtml-1.0.1.2_p.a
1 packages and 0 specfiles checked; 1 errors, 2 warnings.

Ignored.

===========================================================================
Koji build rpm /tmp/gachLqgbtl/koji4eLOwK/1933280/ghc-html-1.0.1.2-2.fc13.x86_64.rpm output:
===========================================================================

Rpmlint Messages:
ghc-html.x86_64: W: unstripped-binary-or-object /usr/lib64/ghc-6.12.1/html-1.0.1.2/libHShtml-1.0.1.2-ghc6.12.1.so
ghc-html.x86_64: W: executable-stack /usr/lib64/ghc-6.12.1/html-1.0.1.2/libHShtml-1.0.1.2-ghc6.12.1.so
1 packages and 0 specfiles checked; 0 errors, 2 warnings.

Ignored.

===========================================================================
Koji build rpm /tmp/gachLqgbtl/koji4eLOwK/1933280/ghc-html-devel-1.0.1.2-2.fc13.x86_64.rpm output:
===========================================================================

Rpmlint Messages:
ghc-html-devel.x86_64: W: no-documentation
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

Ignored.

[+] name fine
[+] URL fine
[+] source ok
from srpm (sha1sum)

[rakesh@dhcp1-96 SPECS]$ sha1sum html-1.0.1.2.tar.gz 
3075f689b29d28229e09a3d2aefa2bfbb008d1da  html-1.0.1.2.tar.gz

[rakesh@dhcp1-96 SPECS]$ sha1sum ../SOURCES/html-1.0.1.2.tar.gz 
3075f689b29d28229e09a3d2aefa2bfbb008d1da  ../SOURCES/html-1.0.1.2.tar.gz

[+] spec name fine
[+] license ok (copy present) and source has marking
[+] source tree ok (no binaries present)
[+] archs - fine
[+] spec file legible and in american english
[+] BR's ok
[+] %files ok
[+] folders owned - ok

main
/usr/lib/ghc-6.12.1/html-1.0.1.2
/usr/share/doc/ghc-html-1.0.1.2
devel
/usr/lib/ghc-6.12.1/html-1.0.1.2
/usr/lib/ghc-6.12.1/html-1.0.1.2/Text
/usr/lib/ghc-6.12.1/html-1.0.1.2/Text/Html
doc
/usr/share/doc/ghc/html/libraries/html-1.0.1.2
[+] source builds fine on fedora ghc archs
[+] no bundled dependencies
[+] %clean section ok
[+] filenames - ok (valid)
[+] profiling ok
[+] lib goes to %{_libdir}/ghc-%{ghc_version}/%{pkg_name}-%{version}
[+] new macros

APPROVED

Thanks,
Comment 3 Jens Petersen 2010-01-20 03:11:00 EST
Thank you for reviewing!


New Package CVS Request
=======================
Package Name: ghc-html
Short Description: Haskell HTML combinator library
Owners: petersen
Branches: devel
InitialCC: haskell-sig
Comment 4 Jason Tibbitts 2010-01-20 19:37:15 EST
CVS done (by process-cvs-requests.py).
Comment 5 Jens Petersen 2010-01-20 21:13:50 EST
Thanks, importa and built.

http://koji.fedoraproject.org/koji/taskinfo?taskID=1935181
Comment 6 Jens Petersen 2010-10-03 22:20:59 EDT
Package Change Request
======================
Package Name: ghc-html
New Branches: el6
Owners: petersen
InitialCC: haskell-sig
Comment 7 Kevin Fenzi 2010-10-04 15:03:40 EDT
Git done (by process-git-requests).
Comment 8 Jens Petersen 2013-12-27 08:13:59 EST
Package Change Request
======================
Package Name: ghc-html
New Branches: el5
Owners: petersen
InitialCC: haskell-sig
Comment 9 Jens Petersen 2014-01-02 01:07:07 EST
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.